%define upstream_name	 Finance-Bank-LaPoste
%define upstream_version 7.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check your "La Poste" accounts from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graphics::Magick)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl(Crypt::SSLeay)
%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
%{makeinstall_std}

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 7.90.0-6pclos2017
- rebuild against updates

